%define subver 0.5

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bashdb
#Epoch:		0
Version:	4.1
Release:	1
License:	GNU/GPLv2
URL:		http://bashdb.sourceforge.net/
Group:		Development/Tools
Summary:	source-code debugger for bash
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}-%{subver}.tar.bz2

# Patches:

# Requires:
Requires(pre):  /sbin/install-info

# BuildRequires:
BuildRequires:	emacs

%description
The Bash Debugger Project is a source-code debugger for bash that follows the gdb command syntax. The version 4.0 series is a complete rewrite of the previous series along the lines of my other POSIX shell debuggers and other debuggers mentioned below.

%pre

%preun
if [ "$1" = 0 ]; then
     /sbin/install-info --del %{_infodir}/bashdb.info.gz %{_infodir}/dir
fi

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}-%{subver}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/bashdb
%{_datadir}/bashdb
%{_datadir}/emacs/site-lisp/bashdb.el
%{_datadir}/emacs/site-lisp/bashdb.elc
%{_infodir}/bashdb.info.gz
%{_infodir}/dir
%{_mandir}/man1/bashdb.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Oct 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.1-0.5-1
- initial CCux package release
